declare const HUB_CONTRACTS: {
    TOKENS: string;
    NETWORKS: string;
    CHANNELS: string;
    PROTOCOLS: string;
};
declare const CYBER: {
    CYBER_GATEWAY: string;
    CHAIN_ID: string;
    DENOM_CYBER: string;
    DENOM_LIQUID_TOKEN: string;
    DENOM_CYBER_G: string;
    CYBER_NODE_URL_API: string;
    CYBER_WEBSOCKET_URL: string;
    CYBER_NODE_URL_LCD: string;
    CYBER_INDEX_HTTPS: string;
    CYBER_INDEX_WEBSOCKET: string;
    BECH32_PREFIX_ACC_ADDR_CYBER: string;
    BECH32_PREFIX_ACC_ADDR_CYBERVALOPER: string;
    MEMO_KEPLR: string;
    CYBER_CONGRESS_ADDRESS: string;
    DIVISOR_CYBER_G: number;
    HYDROGEN: string;
};
declare const DEFAULT_GAS_LIMITS = 200000;
declare const GAS_LIMITS: {
    send: number;
    cyberlink: number;
    investmint: number;
    createRoute: number;
    editRoute: number;
    editRouteAlias: number;
    deleteRoute: number;
};
declare const LEDGER: {
    STAGE_INIT: number;
    STAGE_SELECTION: number;
    STAGE_LEDGER_INIT: number;
    STAGE_READY: number;
    STAGE_WAIT: number;
    STAGE_GENERATED: number;
    STAGE_SUBMITTED: number;
    STAGE_CONFIRMING: number;
    STAGE_CONFIRMED: number;
    STAGE_ERROR: number;
    LEDGER_VERSION_REQ: number[];
    HDPATH: number[];
    LEDGER_OK: number;
    LEDGER_NOAPP: number;
    MEMO: string;
};
declare const PROPOSAL_STATUS: {
    PROPOSAL_STATUS_UNSPECIFIED: number;
    PROPOSAL_STATUS_DEPOSIT_PERIOD: number;
    PROPOSAL_STATUS_VOTING_PERIOD: number;
    PROPOSAL_STATUS_PASSED: number;
    PROPOSAL_STATUS_REJECTED: number;
    PROPOSAL_STATUS_FAILED: number;
    UNRECOGNIZED: number;
};
declare const VOTE_OPTION: {
    VOTE_OPTION_UNSPECIFIED: number;
    VOTE_OPTION_YES: number;
    VOTE_OPTION_ABSTAIN: number;
    VOTE_OPTION_NO: number;
    VOTE_OPTION_NO_WITH_VETO: number;
    UNRECOGNIZED: number;
};
declare const BOND_STATUS: {
    BOND_STATUS_UNSPECIFIED: number;
    BOND_STATUS_UNBONDED: number;
    BOND_STATUS_UNBONDING: number;
    BOND_STATUS_BONDED: number;
};
declare const CID_AVATAR = "Qmf89bXkJH9jw4uaLkHmZkxQ51qGKfUPtAMxA8rTwBrmTs";
declare const CID_TWEET = "QmbdH2WBamyKLPE5zu4mJ9v49qvY8BFfoumoVPMR5V4Rvx";
declare const PATTERN: RegExp;
declare const PATTERN_CYBER: RegExp;
declare const PATTERN_CYBER_CONTRACT: RegExp;
declare const PATTERN_CYBER_VALOPER: RegExp;
declare const PATTERN_COSMOS: RegExp;
declare const PATTERN_OSMOS: RegExp;
declare const PATTERN_TERRA: RegExp;
declare const PATTERN_ETH: RegExp;
declare const PATTERN_TX: RegExp;
declare const PATTERN_IPFS_HASH: RegExp;
declare const PATTERN_BLOCK: RegExp;
declare const PATTERN_HTTP: RegExp;
declare const PATTERN_HTML: RegExp;
export { CYBER, LEDGER, PATTERN, PATTERN_CYBER, PATTERN_CYBER_CONTRACT, PATTERN_CYBER_VALOPER, PATTERN_TX, PATTERN_IPFS_HASH, PATTERN_COSMOS, PATTERN_ETH, PATTERN_TERRA, PATTERN_OSMOS, PATTERN_BLOCK, PATTERN_HTTP, PATTERN_HTML, GAS_LIMITS, DEFAULT_GAS_LIMITS, PROPOSAL_STATUS, VOTE_OPTION, BOND_STATUS, CID_AVATAR, CID_TWEET, HUB_CONTRACTS, };
